.'" $Id: menu_pattern.3x,v 1.4 1997/12/06 22:10:02 tom Exp $
.TH menu_pattern 3X ""
.SH NAME
\fBmenu_pattern\fR - get and set a menu's pattern buffer
.SH SYNOPSIS
\fB#include <menu.h>\fR
.br
int set_menu_pattern(MENU *menu, const char *pattern);
.br
char *menu_pattern(const MENU *menu);
.br
.SH DESCRIPTION
Every menu has an associated pattern match buffer.  As input events that are
printable ASCII characters come in, they are appended to this match buffer
and tested for a match, as described in \fBmenu_driver\fR(3X).

The function \fBset_menu_pattern\fR sets the pattern buffer for the given menu
and tries to find the first matching item.  If it succeeds, that item becomes
current; if not, the current item does not change.  

The function \fBmenu_pattern\fR returns the pattern buffer of the given
\fImenu\fR.
.SH RETURN VALUE
The function \fBmenu_pattern\fR returns \fBNULL\fR on error.  The function
\fBset_menu_pattern\fR may return the following error codes:
.TP 5
\fBE_OK\fR
The routine succeeded.
.TP 5
\fBE_SYSTEM_ERROR\fR
System error occurred (see \fBerrno\fR).
.TP 5
\fBE_BAD_ARGUMENT\fR
Routine detected an incorrect or out-of-range argument.
.TP 5
\fBE_NO_MATCH\fR
Character failed to match.
.SH SEE ALSO
\fBcurses\fR(3X), \fBmenu\fR(3X).
.SH NOTES
The header file \fB<menu.h>\fR automatically includes the header file
\fB<curses.h>\fR.
.SH PORTABILITY
These routines emulate the System V menu library.  They were not supported on
Version 7 or BSD versions.
.SH AUTHORS
Juergen Pfeifer.  Manual pages and adaptation for new curses by Eric
S. Raymond.
.\"#
.\"# The following sets edit modes for GNU EMACS
.\"# Local Variables:
.\"# mode:nroff
.\"# fill-column:79
.\"# End:
